# vim: set sw=4 ts=4 et nu:

# Copyright (c) 2013 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

Name:               pipelight
%define rev         20130818000040
Version:            0.1+2+%{rev}
Release:            3.12
Summary:            Silverlight Wrapper Plugin
## https://bitbucket.org/mmueller2012/pipelight.git
Source:             %{name}-%{rev}.tar.bz2
Patch1:             pipelight-combined_makefile_patches.patch
Patch2:             pipelight-mingw_search_path_placeholder.patch
Patch3:             pipelight-config_file_in_etc.patch
URL:                https://launchpad.net/pipelight
Group:              Productivity/Networking/Web/Browsers
License:            MPL-1.1; GPL-2.0; LGPL-2.1
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      mingw32-cross-gcc
BuildRequires:      mingw32-cross-gcc-c++
BuildRequires:      xorg-x11-devel
BuildRequires:      gcc-c++
BuildRequires:      make
# require the exact version here, because the DLL lookup path
# is hard-coded in the configuration (see prep section below)
%define mingw32_version %(rpm -q --qf='%{VERSION}\n' mingw32-cross-gcc || echo NOTFOUND)
Requires:           mingw32-cross-gcc = %{mingw32_version}

%description
Pipelight is a special browser plugin which allows one to use windows only
plugins inside Linux browsers. We are currently focusing on Silverlight and its
features like watching DRM protected videos. The project needs a patched
version of Wine to execute the Silverlight DLL.

%prep
%setup -q -n "%{name}"
%patch1 -p1
%patch2 -p1
d=$(%__perl -e '@c=glob("%{_libdir}/gcc/*-mingw32/*"); die "too many matches" if scalar(@c) > 1; die "no match" if scalar(@c) < 1; print $c[0],"\n"')
%__perl -ne 'print $1,"\n" if m,^---\s+(?:[^/]+)/(.+)\s*$,' < "%{PATCH2}" | while read f; do
    %__perl -i -e 's,@@MINGW_RUNTIME_SEARCH_PATH@@,'"$d"',' "$f"
done
#'
%patch3 -p0

%build
# not autoconf
./configure --prefix="%{_prefix}"

CXXFLAGS="%{optflags}" \
make %{?_smp_mflags} libdir="%{_libdir}"

%install
make \
    DESTDIR="%{buildroot}" \
    libdir="%{_libdir}" \
    install

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc LICENSE
%config(noreplace) /etc/pipelight
%dir %{_libdir}/mozilla
%dir %{_libdir}/mozilla/plugins
%{_libdir}/mozilla/plugins/libpipelight.so
%dir %{_prefix}/lib/pipelight
%{_prefix}/lib/pipelight/pluginloader.exe

%changelog
* Thu Aug 22 2013 pascal.bleser@opensuse.org
- added missing patch to load the config file from /etc,
  got lost somewhere along the way when merging the Makefile
  patches in the previous version; thanks for Michael Müller for reporting
* Sun Aug 18 2013 pascal.bleser@opensuse.org
- initial version (0.1+2+20130818000040)
